﻿Imports System.IO

Public Class cGenFileLocation

    Public Function GenRecordingFilePath(ByVal nSessionId As Integer, ByVal sDefaultPath As String) As String

        If (sDefaultPath.Length() = 0) Then
            Return ""
        End If

        Dim sRecordingPath As String = GetFullPath(sDefaultPath)

        If (sDefaultPath.Length() = 0) Then
            Return ""
        End If

        Dim sFilePath As String = String.Format("{0}\\{1}.wav", sRecordingPath, nSessionId)

        Return sFilePath

    End Function

    Private Function GetFullPath(ByVal sDefaultPath As String) As String

        Dim objDirInfo As DirectoryInfo

        If (Not Directory.Exists(sDefaultPath)) Then

            objDirInfo = Directory.CreateDirectory(sDefaultPath)

            If (Not objDirInfo.Exists) Then
                Return ""
            End If

        End If

        Dim objDateTime As Date
        objDateTime = DateAndTime.Now

        Dim sFullPath As String = String.Format("{0}\\{1}\\{2}\\{3}", sDefaultPath, objDateTime.Year, objDateTime.Month, objDateTime.Day)

        objDirInfo = Directory.CreateDirectory(sFullPath)

        If (Not objDirInfo.Exists) Then
            Return ""
        End If

        Return sFullPath

    End Function


End Class
